Subject: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-07.txt

From: [email-masked]
Date: Wed, 26 May 2021 06:23:47 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Authentication Technology Next Generation WG of the IETF.

        Title           : Channel Bindings for TLS 1.3
        Author          : Sam Whited
	Filename        : draft-ietf-kitten-tls-channel-bindings-for-tls13-07.txt
	Pages           : 6
	Date            : 2021-05-26

Abstract:
   This document defines a channel binding type, tls-exporter, that is
   compatible with TLS 1.3 in accordance with RFC 5056, On Channel
   Binding.  Furthermore it updates the "default" channel binding to the
   new binding for versions of TLS greater than 1.2.  This document
   updates RFC5801, RFC5802, RFC5929, and RFC8446.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-07.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Sam Whited" <[email-masked]>
Date: Wed, 26 May 2021 09:26:43 -0400

Immediate typo/ref fix forthcoming. Sorry for all the noise today.

On Wed, May 26, 2021, at 09:23, [email-masked] wrote:
> _______________________________________________
> Kitten mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/kitten
> 

-- 
Sam Whited

---

From: Ludovic BOCQUET <[email-masked]>
Date: Wed, 26 May 2021 16:15:41 +0000

Sam, no problem, it is normal to listen people.

Now, can you add that it updates RFC7677?

  *   https://tools.ietf.org/html/rfc7677

Do not forget, to be synchronized with:

  *   https://datatracker.ietf.org/doc/html/draft-melnikov-scram-sha-512
  *   https://datatracker.ietf.org/doc/html/draft-melnikov-scram-sha3-512

Normally Alexey will update soon.

Thanks in advance.

Regards,

BOCQUET Ludovic

________________________________
From: Kitten <[email-masked]> on behalf of Sam Whited <[email-masked]>
Sent: Wednesday, May 26, 2021 1:26 PM
To: KITTEN Working Group <[email-masked]>
Subject: Re: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-07.txt

--
Sam Whited

---

From: Robbie Harwood <[email-masked]>
Date: Wed, 26 May 2021 14:10:36 -0400

> Normally Alexey will update soon.

Hi Ludovic,

(co-chair hat on) These are not kitten documents.  While they could
potentially become such, right now what happens to them isn't really in
scope - and certainly ensuring they get updated isn't Sam's
responsibility.[1]

More generally, I would ask that you work to fit your comments into a
single (presumably longer) review whenever possible, and understand that
sometimes issues won't be fixed immediately.  I know this can't always
be done (sometimes changes aren't quite right etc.), but unnecessary
back-and-forth is tiring and time-consuming for authors.  We're all
human and have too many demands on our time - let's try to be patient
with each other :)

Thanks,
--Robbie

1: Formally, tls-channel-bindings-for-tls13 is being considered for
   advancement to AD.  There is no dependency from this document on the
   drafts you mention, so it is not blocking for purposes of current
   discussion.

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Wed, 26 May 2021 21:11:05 +0000

In order for you to add that it updates RFC 7677, you will also have to add text saying exactly how it updates 7677.

As the author of 7677, I am not opposed to you adding such text and then adding the “Updates 7677” marker.

                Tony Hansen

From: Kitten <[email-masked]> on behalf of Ludovic BOCQUET <[email-masked]>
Date: Wednesday, May 26, 2021 at 12:17 PM
To: Sam Whited <[email-masked]>, KITTEN Working Group <[email-masked]>
Subject: Re: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-07.txt

  *   https://tools.ietf.org/html/rfc7677<https://urldefense.com/v3/__https:/tools.ietf.org/html/rfc7677__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQS7I3oG4Q$>

  *   https://datatracker.ietf.org/doc/html/draft-melnikov-scram-sha-512<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-melnikov-scram-sha-512__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQTR25Yjmg$>
  *   https://datatracker.ietf.org/doc/html/draft-melnikov-scram-sha3-512<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-melnikov-scram-sha3-512__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQR_LkhHNQ$>

Thanks in advance.

Regards,

BOCQUET Ludovic

On Wed, May 26, 2021, at 09:23, [email-masked] wrote:
> https://datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQTjvtQByA$>
>
> https://www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-07.html<https://urldefense.com/v3/__https:/www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-07.html__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQQdxf2hag$>
>
> https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-07<https://urldefense.com/v3/__https:/www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-07__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQQ2xtpfqg$>
>
>
> ftp://ftp.ietf.org/internet-drafts/<https://urldefense.com/v3/__ftp:/ftp.ietf.org/internet-drafts/__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQS_13SGHQ$>
>
>
> https://www.ietf.org/mailman/listinfo/kitten<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/kitten__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQTYcBUOFw$>
>

--
Sam Whited

_______________________________________________
Kitten mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/kitten<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/kitten__;!!BhdT!yUBAdeF_ymDB8yAzZInjTz2WFRJ0rTefUPB4r_BaZeWLF7aMRQTYcBUOFw$>

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Wed, 26 May 2021 21:20:35 +0000

Hmmm, draft-hansen-scram-sha256 wasn't officially a Kitten document before it became RFC 7677, but it most definitely was discussed on the Kitten WG's mailing list. (It never did become an official Kitten doc before being published, mostly [if I remember correctly] because of timing of a ton of other Kitten docs.)

I agree that Alexey's docs not being official docs removes being able to place constraints on them, but hopefully Alexey's docs ARE being openly discussed in Kitten.

	Tony

On 5/26/2021, 2:11 PM, "Kitten on behalf of Robbie Harwood" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Ludovic,

    Thanks,
    --Robbie